libzypp 17.38.15

zypp::Deferred Struct Reference

`#include <zypp-core/AutoDispose.h>`

Inheritance diagram for zypp::Deferred:

## Public Member Functions
template<typename F>
| Deferred (F &&cb)
Public Member Functions inherited from zypp::AutoDispose< void >
| AutoDispose ()
| Default Ctor using default constructed value and no dispose function.
| AutoDispose (const Dispose &dispose_r)
| Ctor taking dispose function and using default constructed value.
void | reset ()
| Reset to default Ctor values.
void | swap (AutoDispose &rhs) noexcept
| Exchange the contents of two AutoDispose objects.
const Dispose & | getDispose () const
| Return the current dispose function.
void | setDispose (const Dispose &dispose_r)
| Set a new dispose function.
void | resetDispose ()
| Set no dispose function.
void | swapDispose (Dispose &dispose_r)
| Exchange the dispose function.
| operator reference () const
| Provide implicit conversion to `Tp&`.
reference | value () const
| Reference to the `Tp` object.
reference | operator* () const
| Reference to the `Tp` object.
value_type * | operator-> () const
| Pointer to the `Tp` object (asserted to be != NULL).
bool | unique () const
| Returns true if this is the only AutoDispose instance managing the current data object.

## Additional Inherited Members
Public Types inherited from zypp::AutoDispose< void >
using | Dispose = function<void ()>
| Dispose function signatue.
using | param_type
using | reference
using | const_reference
using | value_type
using | result_type
using | dispose_param_type

## Detailed Description

Definition at line 278 of file AutoDispose.h.

## Constructor & Destructor Documentation

## ◆ Deferred()

template<typename F>

zypp::Deferred::Deferred | ( | F && | cb | ) |

Definition at line 285 of file AutoDispose.h.

The documentation for this struct was generated from the following file:

- zypp-core/AutoDispose.h